> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1occurrenceraw



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json post /api/v1/Occurrence/raw
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Occurrence/raw:
    post:
      tags:
        - Occurrence
      operationId: Occurrence_Get2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSchedulesOccurrencesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSchedulesOccurrencesResult'
components:
  schemas:
    GetSchedulesOccurrencesRequest:
      type: object
      additionalProperties: false
      required:
        - Start
        - End
      properties:
        Schedules:
          type: array
          maxItems: 100
          minItems: 1
          items:
            $ref: '#/components/schemas/Schedule'
        Start:
          type: string
          format: date-time
          minLength: 1
        End:
          type: string
          format: date-time
          minLength: 1
    GetSchedulesOccurrencesResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Result:
              type: array
              items:
                $ref: '#/components/schemas/OccurrenceResult'
    Schedule:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        ScheduleItems:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleItem'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    OccurrenceResult:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Occurrences:
          type: array
          items:
            $ref: '#/components/schemas/Occurrence'
    ScheduleItem:
      type: object
      additionalProperties: false
      required:
        - Start
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        Name:
          type: string
        Start:
          type: string
          format: date-time
          minLength: 1
        End:
          type: string
          format: date-time
          nullable: true
        StartTimeZone:
          type: string
          nullable: true
        Recurrence:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Recurrence'
    Occurrence:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: string
          format: date-time
        End:
          type: string
          format: date-time
        RecurrenceId:
          type: string
          format: guid
          nullable: true
        Deleted:
          type: boolean
        Exception:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RecurrenceException'
    Recurrence:
      type: object
      additionalProperties: false
      required:
        - StartTime
        - Pattern
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        StartTime:
          type: string
          format: duration
          minLength: 1
        EndTime:
          type: string
          format: duration
        Offset:
          type: string
          format: duration
          nullable: true
        EndCount:
          type: integer
          format: int32
          nullable: true
        RecurrenceType:
          type: string
        Interval:
          type: string
          format: duration
          nullable: true
        Duration:
          type: string
          format: duration
          nullable: true
        Pattern: {}
        Exceptions:
          type: array
          items:
            $ref: '#/components/schemas/RecurrenceException'
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        RecurrenceId:
          type: string
          format: guid
        OriginalTime:
          type: string
          format: date-time
        IsDeleted:
          type: boolean
        NewStart:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newstarttime instead
          nullable: true
        NewEnd:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newendtime instead
          nullable: true
        NewStartTime:
          type: string
          format: date-time
          nullable: true
        NewEndTime:
          type: string
          format: date-time
          nullable: true

````